0

Tried to run tlmgr update --self, but it fails with this error message:

/usr/local/texlive/2016/bin/x86_64-linux/tlmgr: open tlpdb(http://ctan.math.washington.edu/tex-archive/systems/texlive/tlnet/tlpkg/texlive.tlpdb) failed: Inappropriate ioctl for device at /usr/local/texlive/2016/tlpkg/TeXLive/TLPDB.pm line 358.

Now what can I do? I am using Ubuntu 14.04 and I installed TeXLive from tug.org using ./install-tl.

2

I looked at the source file and this error is issued when wget fails to download the package database. I was using the repository ftp://tug.org/historic/systems/texlive/2017/tlnet-final, and it seems that there is some intermittent non-availability (server is overloaded, or unstable connection). It had nothing to do with wget configuration (as hinted by @chbrown), just trying again some time later worked.

1

The message is cryptic, but I ran into the same thing with TeXLive 2018. I used opensnoop (= dtrace) to monitor what files tlmgr was opening, and noted that it was reading my ~/.wgetrc configuration file, which had custom settings for header, user_agent, etc.

I removed that file, reran tlmgr, and it breezed through :). YMMV, since I have no idea what "Inappropriate ioctl for device" has to do with performing HTTP requests.

tl;dr: Remove your ~/.wgetrc.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.